Package org.eclipse.jface.text.source

## Interface ISourceViewerExtension2

All Known Implementing Classes:
  `ProjectionViewer`, `SourceViewer`, `TextConsoleViewer`

    public interface ISourceViewerExtension2

Extension interface for `ISourceViewer`.

Allows the source viewer to roll back a previous configuration process and allows clients access to the viewer's visual annotation model.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IAnnotationModel` `getVisualAnnotationModel()` Returns the visual annotation model of this viewer.
`void` `unconfigure()` Rolls back the configuration process of this source viewer.

### Method Detail

#### unconfigure

    void unconfigure()

Rolls back the configuration process of this source viewer. The source viewer can be configured again after a call to this method. Unlike `ISourceViewer.configure(SourceViewerConfiguration)` this method can be called more than once without interleaving calls to `ISourceViewer.configure(SourceViewerConfiguration)`.

#### getVisualAnnotationModel

    IAnnotationModel getVisualAnnotationModel()

Returns the visual annotation model of this viewer.

Returns:
  the visual annotation model of this viewer